Links in Flow topic titles: html code displayed when page scrolls up
Closed, ResolvedPublic

Description

Follow up for comment in T59153: Allow links in Flow topic titles

  • Have a title with a link in it
  • Scroll up - the link exposes html code:

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 24 2015, 6:10 PM

For testing after the fix - look also at T120324: XSS in Flow topic titles to check for the XSS case, e.g.

<script>alert(1)</script>
SBisson triaged this task as High priority.Dec 7 2015, 3:57 PM
SBisson claimed this task.
SBisson set Security to None.

Change 257605 had a related patch set uploaded (by Sbisson):
Show topic title in plaintext in ToC

https://gerrit.wikimedia.org/r/257605

Change 257605 merged by jenkins-bot:
Show topic title in plaintext in ToC

https://gerrit.wikimedia.org/r/257605

Checked in betalabs - all links look correctly when a page scrolls up and a topic is displayed in ToC.

Catrope closed this task as Resolved.Dec 16 2015, 1:57 AM
Catrope added a subscriber: Catrope.
Trizek-WMF removed a subscriber: Trizek.Dec 16 2015, 4:28 PM